libvisio::VSDSplineStart Class Reference documentation

libvisio::VSDSplineStart Class Reference
Inheritance diagram for libvisio::VSDSplineStart:

## Public Member Functions
| VSDSplineStart (unsigned id, unsigned level, const boost::optional< double > &x, const boost::optional< double > &y, const boost::optional< double > &secondKnot, const boost::optional< double > &firstKnot, const boost::optional< double > &lastKnot, const boost::optional< unsigned > &degree)
| ~VSDSplineStart () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y
double | m_secondKnot
double | m_firstKnot
double | m_lastKnot
unsigned | m_degree

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDSplineStart()

libvisio::VSDSplineStart::VSDSplineStart | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x,
|  | const boost::optional< double > & | y,
|  | const boost::optional< double > & | secondKnot,
|  | const boost::optional< double > & | firstKnot,
|  | const boost::optional< double > & | lastKnot,
|  | const boost::optional< unsigned > & | degree )
| inline

Referenced by clone().

## ◆ ~VSDSplineStart()

libvisio::VSDSplineStart::~VSDSplineStart | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDSplineStart::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDSplineStart::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_degree

unsigned libvisio::VSDSplineStart::m_degree

Referenced by libvisio::VSDGeometryList::addSplineStart(), clone(), handle(), and VSDSplineStart().

## ◆ m_firstKnot

double libvisio::VSDSplineStart::m_firstKnot

Referenced by libvisio::VSDGeometryList::addSplineStart(), clone(), handle(), and VSDSplineStart().

## ◆ m_lastKnot

double libvisio::VSDSplineStart::m_lastKnot

Referenced by libvisio::VSDGeometryList::addSplineStart(), clone(), handle(), and VSDSplineStart().

## ◆ m_secondKnot

double libvisio::VSDSplineStart::m_secondKnot

Referenced by libvisio::VSDGeometryList::addSplineStart(), clone(), handle(), and VSDSplineStart().

## ◆ m_x

double libvisio::VSDSplineStart::m_x

Referenced by libvisio::VSDGeometryList::addSplineStart(), clone(), handle(), and VSDSplineStart().

## ◆ m_y

double libvisio::VSDSplineStart::m_y

Referenced by libvisio::VSDGeometryList::addSplineStart(), clone(), handle(), and VSDSplineStart().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp